%define		_class		Math
%define		_subclass	Numerical_RootFinding
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	1.1.0a2
Release:	%mkrel 9
Summary:        Numerical Root-Finding methods package in PHP
License:        BSD License
Group:          Development/PHP
URL:            http://pear.php.net/package/Math_Numerical_RootFinding
Source0:        http://pear.php.net/get/Math_Numerical_RootFinding-%{version}.tgz
BuildRequires:  php-pear >= 1.4.7
BuildArch:      noarch

%description
Math_Numerical_RootFinding is the package provide various number of
Numerical
Root-Finding Methods functions implemented in PHP.
Supported methods:
1. Bisection/Binary Chopping/Interval Halving/Bolzano
2. False Position/Regula Falsi
3. Fixed Point
4. Netwon-Raphson
5. Netwon-Raphson 2
6. Ralston-Rabinowitz
7. Secant

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock


# Temporarily remove file buildPackageXML.php as it conflicts with the same name of another package,
# php-pear-Math_Numerical_RootFinding. 
rm %{buildroot}%{peardir}/buildPackageXML.php

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Math_Numerical_RootFinding.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Math_Numerical_RootFinding.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Math_Numerical_RootFinding
fi

%files
%doc docs/Math_Numerical_RootFinding/*
%{peardir}/*
%{xmldir}/Math_Numerical_RootFinding.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.1.0a2-9.mga8
+ Revision: 1499082
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.1.0a2-8.mga7
+ Revision: 1273489
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 1.1.0a2-7.mga6
+ Revision: 951140
- Mageia 6 Mass Rebuild

* Mon Dec 08 2014 spuhler <spuhler> 1.1.0a2-6.mga5
+ Revision: 802268
- removed file %%{peardir}/buildPackageXML.php
 * it conflicts with same file from php-pear-Math_Numerical_RootFinding
   - The bug has been reported upstream for over a yea
   - not other pear packages has this file and I cannot see why it is needed

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0a2-5.mga5
+ Revision: 738863
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.1.0a2-4.mga5
+ Revision: 734086
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0a2-3.mga5
+ Revision: 687347
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.1.0a2-2.mga4
+ Revision: 539330
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 spuhler <spuhler> 1.1.0a2-1.mga4
+ Revision: 491987
- upgrade to version 1.1.0a2
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-7.mga3
+ Revision: 376890
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 1.0.0-6.mga1
+ Revision: 43405
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Math_Numerical_RootFinding


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-6mdv2011.0
+ Revision: 613714
- the mass rebuild of 2010.1 packages

* Wed Nov 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-5mdv2010.1
+ Revision: 470158
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.0.0-4mdv2010.0
+ Revision: 441344
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-3mdv2009.1
+ Revision: 322365
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-2mdv2009.0
+ Revision: 236952
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-1mdv2007.0
+ Revision: 82160
- Import php-pear-Math_Numerical_RootFinding

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-1mdk
- 1.0.0
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-1mdk
- initial Mandriva package (PLD import)

